Subject: Re: linux-next: Tree for August 14 (sysfs/acpi errors)

From: Andi Kleen <[email-masked]>
Date: Sun, 17 Aug 2008 04:30:34 +0200

Greg KH wrote:
> On Sat, Aug 16, 2008 at 05:48:26AM +0200, Andi Kleen wrote:
>>> They have been module options, not prefixed kernel parameters so far,
>>> and the prefix was just the module name.
>>> So it just strikes back, that acpi uses generic names for the modules,
>>> there would have been no problem if "power" would be called "acpi_power"
>>> and the options would just be "acpi.acpica_version" and
>>> "acpi_power.nocheck".
>>> But well, there are driver modules just called "option", so acpi is not
>>> that bad. :)
>>>> I think the generic params code should be fixed to handle this.
>>> We could try to look up existing directories to use instead of expecting
>>> that we need to create and own them. I guess,
>> sysfs does this anyways, doesn't it. We would just need to teach it
>> to not BUG() in this case, perhaps with a special entry point.
>> Also a BUG() in general seems a little harsh for this, surely a WARN_ON
>> should be enough.
> 
> It is a WARN() call, not a BUG().

Ok. Can we remove it? Or add a new entry point that allows to disable it?

I don't think relying on link order like Rusty proposes is a good long term
solution.

-Andi
--
To unsubscribe from this list: send the line "unsubscribe linux-acpi" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html